Api
Store Products_list Products
List products available in the storefront. Filtered to products enabled in the shops scoped by the publishable key.
Query Parameters
page?number
limit?number
search?string
categoryId?string
categoryIds?array<string>
categorySlug?string
minPrice?number
maxPrice?number
tags?string
attributes?string
sortBy?unknown
Value in
"bestselling" | "name" | "newest" | "price"sortOrder?unknown
Value in
"asc" | "desc"includeFacets?boolean
Response Body
application/json
curl -X GET "https://loading/v1/store/products"{
"data": [
{
"attributes": {
"property1": {
"type": "string",
"value": "string"
},
"property2": {
"type": "string",
"value": "string"
}
},
"availableForSale": true,
"categories": [
{
"id": "string",
"name": "string",
"slug": "string"
}
],
"createdAt": "2019-08-24T14:15:22Z",
"description": "string",
"id": "string",
"images": [
"string"
],
"name": "string",
"originalPrice": 0,
"priceRange": {
"maxPrice": 0,
"minPrice": 0
},
"productType": "string",
"requiresShipping": true,
"salePrice": 0,
"seo": {
"metaDescription": "string",
"metaKeywords": [
"string"
],
"metaTitle": "string",
"ogImage": "string"
},
"sizeGuide": {
"content": "string",
"id": "string",
"imageUrl": "string",
"name": "string"
},
"sku": "string",
"slug": "string",
"tags": [
"string"
],
"thumbnail": "string",
"unitName": "string",
"variantOptions": [
{
"key": "string",
"position": 0,
"values": [
"string"
]
}
],
"variants": [
{
"id": "string",
"images": [
"string"
],
"inStock": true,
"lowStock": true,
"optionValues": {
"property1": "string",
"property2": "string"
},
"originalPrice": 0,
"salePrice": 0,
"sku": "string"
}
]
}
],
"facets": {
"attributes": [
{
"key": "string",
"values": [
{
"count": 0,
"value": "string"
}
]
}
],
"availability": {
"inStock": 0,
"outOfStock": 0
},
"categories": [
{
"count": 0,
"id": "string",
"name": "string",
"slug": "string"
}
],
"priceRange": {
"max": 0,
"min": 0
},
"tags": [
{
"count": 0,
"value": "string"
}
]
},
"limit": 0,
"page": 0,
"total": 0,
"totalPages": 0
}